# QCA::Initializer Class Reference
[QCA user API]

Convenience method for initialising and cleaning up QCA. More...

`#include <QtCrypto>`

List of all members.

## Public Member Functions

| Initializer (MemoryMode m=Practical, int prealloc=64)

## Detailed Description

Convenience method for initialising and cleaning up QCA.

To ensure that QCA is properly initialised and cleaned up, it is convenient to create an Initializer object, and let it go out of scope at the end of QCA usage.

Examples:

  aes-cmac.cpp, base64test.cpp, certtest.cpp, ciphertest.cpp, eventhandlerdemo.cpp, hashtest.cpp, hextest.cpp, keyloader.cpp, mactest.cpp, md5crypt.cpp, providertest.cpp, publickeyexample.cpp, randomtest.cpp, rsatest.cpp, saslclient.cpp, saslserver.cpp, sslservtest.cpp, and ssltest.cpp.

## Constructor & Destructor Documentation

QCA::Initializer::Initializer | ( | MemoryMode | m = `Practical`,
|  | int | prealloc = `64` |
| ) |  |  | `[explicit]`

Standard constructor.

Parameters:

  | m | the MemoryMode to use for secure memory
  | prealloc | the amount of secure memory to pre-allocate, in units of 1024 bytes (1K).

The documentation for this class was generated from the following file:

- qca_core.h